﻿@page
@model UrlModifyApp.Pages.GuestModel
@{
    ViewData["Title"] = "Guest";
}

<h1>Guest URL Shortner</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <input type="text" name="LongUrl" class="form-control mb-4" placeholder="Long URL">
            @*<div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <input type="text" name="LongUrl" class="form-control mb-4" placeholder="Long URL">
                <label asp-for="UrlinfoModel.LongUrl" class="control-label"></label>
                <input asp-for="UrlinfoModel.LongUrl" class="form-control" />
                <span asp-validation-for="UrlinfoModel.LongUrl" class="text-danger"></span>
            </div>*@
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
            <div>
                <h1>@ViewData["ShortURL"]</h1>
            </div>
        </form>
    </div>
</div>

